Subject: Re: definition of data transfer statement

From: Yan Mi <[email-masked]>
Date: Fri, 13 Dec 1996 09:24:35 +0800 (EAT)

When we defined the data structure,our princile was we should change
the old structure of sage++ as little as possible so that we can use the 
sage++ libralry directly. Some feactures of HPF IO statemnets haven't been 
defined in sage++ ,so i added soem for special statement. Since the 
ununiform give you trouble in your coding,you may changed it into a uniform.

On Wed, 11 Dec 1996, Guansong Zhang wrote:

> Hi,
> 
> I am working on io input output statement. Please look the following examples?
> 
>       PROGRAM LAPLACE
>       print *, 'Final grid looks like'
>       read (*, 101) (A(I,J),J=1,N)
>       write (*, 101) (A(I,J),J=1,N)
> 
> 101   FORMAT(12F9.3)
>       END
> 
> ---------------
> 
> You will find out that the spec-list and item-list were expressed by different
> llnds in these three statement.
> 
> Why don't we use the same pattern? It is a bug, or we have some reason? I need
> to know to code transG. In fact, I hope we can change them to a uninamous way,
> it will save some trouble.
> 
> Guansong
>